<?php
/**
 * @package Name Day Module for Joomla! 3.X
 * @subpackage mod_nameday
 * @version $Id: mod_nameday.php 2016-02-10 01:00:00Z Peter Vavro $
 * @author Ing. Peter Vavro (peter@vavro.me) & Roman Náhlovský (web@renat.sk)
 * @copyright (C) 2016 - Peter Vavro & Roman Náhlovský
 * @license GNU/GPLv3 http://www.gnu.org/licenses/gpl-3.0.html
**/

// no direct access
defined('_JEXEC') or die;

	// Include the syndicate functions only once
	// TODO : require_once __DIR__ . '/helper.php';

	$moduleclass_sfx	= $params->get( 'moduleclass_sfx' );
	$predvcera	      	= $params->get( 'predvcera', '') ;
	$vcera	          	= $params->get( 'vcera', '') ;
	$dnes	            = $params->get( 'dnes', '') ;
	$zajtra	      		= $params->get( 'zajtra', '') ;
	$pozajtra	    	= $params->get( 'pozajtra', '') ;

	$predvcerakk  		= $params->get( 'predvcerakk', '1') ;
	$vcerak       		= $params->get( 'vcerak', '1') ;
	$dnesk 	        	= $params->get( 'dnesk', '1') ;
	$zajtrak      		= $params->get( 'zajtrak', '1') ;
	$pozajtrak  		= $params->get( 'pozajtrak', '1') ;

	$align        		= $params->get( 'align', 'center' );
	$width        		= $params->get( 'width', '' );
	$height       		= $params->get( 'height', '' );

	$label_pred   		= $params->get( 'label_pred', '' );
	$label_za     		= $params->get( 'label_za', '' );

	$oddelovac			= $params->get( 'oddelovac', ' ') ;

	$class_sfx = htmlspecialchars($params->get('class_sfx'));

	// Load list with names

		require_once('modules' . DIRECTORY_SEPARATOR  . 'mod_nameday' . DIRECTORY_SEPARATOR  . 'date' . DIRECTORY_SEPARATOR . $params->get( 'vyber_meniny', 'sk-SK') . '.php');

	// Line break after ?


		$novy_pred = ($params->get( 'novy_pred' , 0) ? "<br/>" : "");

		$novy_vcer = ($params->get( 'novy_vcer' , 0) ? "<br/>" : "");

		$novy_dnes = ($params->get( 'novy_dnes' , 0) ? "<br/>" : "");

		$novy_zajtra = ($params->get( 'novy_zajtra' , 0) ? "<br/>" : "");

		$novy_pozaj = ($params->get( 'novy_pozaj' , 0) ? "<br/>" : "");

	// Get names

		/* TODO : Change liost to JSON | https://github.com/zoltancsontos/slovak-name-days-json */

		$denx = date('z') + 1;
		if (($denx > 59) and (date('L') == 0)) $denx = $denx + 1;

		$den5 = $denx - 2;
		if ($den5 == 0) $den5 = 366;
		if (($den5 == 60) and (date('L') == 0)) $den5 = 59;

		$den1 = $denx - 1;
		if ($den1 == 0) $den1 = 366;
		if (($den1 == 60) and (date('L') == 0)) $den1 = 59;

		$den2 = $denx;
		$den3 = $denx + 1;
		if ($den3 == 367) $den3 = 1;
		if (($den3 == 60) and (date('L') == 0)) $den3 = 61;

		$den4 = $denx + 2;
		if (($den4 == 367) or ($den4 == 368)) $den4 = 1;
		if ((($den4 == 60) or ($den4 == 61)) and (date('L') == 0)) $den4 = $den4 + 1;


	// Load Names

		$predvcerakk = ( $predvcerakk == 1  ? $predvcera . "\t<strong>".$svatky[$den5]."</strong>\t".$oddelovac. $novy_pred : '');
		$vcerak = ( $vcerak == 1 ? $vcera . "\t<strong>".$svatky[$den1] ."</strong>\t".$oddelovac. $novy_vcer : '');
		$dnesk = ( $dnesk == 1 ? $dnes . "\t<strong>".$svatky[$den2] ."</strong>\t".$oddelovac. $novy_dnes : '');
		$zajtrak = ( $zajtrak == 1 ? $zajtra . "\t<strong>".$svatky[$den3] ."</strong>\t".$oddelovac. $novy_zajtra : '');
		$pozajtrak = ( $pozajtrak == 1 ? $pozajtra . "\t<strong>".$svatky[$den4] ."</strong>\t". $novy_pozaj : '');


require JModuleHelper::getLayoutPath('mod_nameday', $params->get('layout', 'default'));